Support » Plugin: Preview E-mails for WooCommerce » Fatal error: Cannot declare class PHPMailer

  • Resolved magefix

    (@magefix)


    Hi there y’all!

    Anyone getting this error lately?
    “Fatal error: Cannot declare class PHPMailer\PHPMailer\PHPMailer, because the name is already in use in /home/edgewate/public_html/wp-includes/PHPMailer/PHPMailer.php on line 31”

    Hopefully a fix will be available soon.
    Cheers!

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author digamberpradhan

    (@digamberpradhan)

    Hi @magefix ,
    Does the error occur when you activate the plugin ?
    What version of PHP are you using ?

    since i don’t declare PHPMailer myself i am unsure why this error is showing up.

    Thread Starter magefix

    (@magefix)

    @digamberpradhan error occurs when I’m submitting Preview Emails form
    https://i.imgur.com/CXbYWMSl.png
    I’m running PHP 7.3.21

    • This reply was modified 2 years ago by magefix.
    Plugin Author digamberpradhan

    (@digamberpradhan)

    Hi @magefix ,

    i’ve tested it out on multiple settings and systems – i am unable to reproduce this error . Please see if you have used or made some recent changes that is dependent on phpmailer as wordpress by default include phpmailer this might be causing the trouble.

    Please try sending email from your site too – i think it’s a sitewide issue for you.

    Plugin Author digamberpradhan

    (@digamberpradhan)

    Marking as closed.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Fatal error: Cannot declare class PHPMailer’ is closed to new replies.